%define name daloradius
%define version 1.3
%define release 1
%define httpuser apache

%if %{?fedora}%{?rhel} >= 5
%global useselinux 1
%else
%global useselinux 0
%endif

Summary: RADIUS web management
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL
URL: http://sourceforge.net/projects/daloradius/
Group: application/internet
Source: %{name}-%{version}.tar.gz
Source1: daloradius.httpd.conf
Source2: daloradius.logrotate.conf
Packager: Lux <luigi@iotti.biz>
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}

Requires: php
Requires: httpd
Requires: logrotate
%if 0%{?fedora} >= 21 || 0%{?rhel} >= 8
Requires: php-pear-DB
%else
Requires: php-pear-db
%endif

%description
daloRADIUS is an advanced RADIUS web management application
aimed at managing hotspots and general-purpose ISP deployments.
It features user management, graphical reporting, accounting,
a billing engine and integrates with GoogleMaps for geo-locating.

%prep
%setup -n %{name}-%{version}

%build
# empty build

%install

%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/%{_datadir}/%{name}
for a in $(find ./ -mindepth 1 -maxdepth 1 -type d -print); do
    cp -r $a %{buildroot}/%{_datadir}/%{name}/
done
%{__rm} -rf %{buildroot}/%{_datadir}/%{name}/contrib

cp *.php %{buildroot}/%{_datadir}/%{name}/
%{__rm} -rf .htaccess .htpasswd

%{__mv} %{buildroot}/%{_datadir}/%{name}/library/daloradius.conf.php.sample %{buildroot}/%{_datadir}/%{name}/library/daloradius.conf.php
%{__rm} -Rf %{buildroot}/%{_datadir}/%{name}/var
%{__mkdir} -p %{buildroot}/%{_localstatedir}/lib/%{name}/backup

%{__mkdir} -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
%{__install} -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf
sed -i -e "s|__ROOT_DIR__|%{_datadir}/%{name}|g" \
       -e "s|__VAR_DIR__|%{_localstatedir}/lib/%{name}|g" \
       -e "s|__LOG_FILE__|%{_localstatedir}/log/%{name}.log|g" \
%if 0%{?fedora} >= 28 || 0%{?rhel} >= 8
       -e "s|__MOD_PHP__|mod_php7.c|g" \
%else
       -e "s|__MOD_PHP__|mod_php5.c|g" \
%endif
       %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf

%{__mkdir} -p %{buildroot}/%{_sysconfdir}/logrotate.d/
%{__install} -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}
sed -i -e "s|__LOG_DIR__|%{_localstatedir}/log/%{name}.log|g" \
       -e "s|__APACHE__|%{httpuser}|g" \
       %{SOURCE2} %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

%{__mkdir} -p %{buildroot}/%{_localstatedir}/log/
touch %{buildroot}/%{_localstatedir}/log/%{name}.log
sed -i -e "s|/tmp/daloradius.log|%{_localstatedir}/log/%{name}.log|g" \
       -e "s|/var/www/daloradius/var|%{_localstatedir}/lib/%{name}|g" \
        %{buildroot}/%{_datadir}/%{name}/library/daloradius.conf.php

%clean
rm -rf %{buildroot}

%post
%if %{useselinux}
(
# New File context
semanage fcontext -a -s system_u -t httpd_log_t -r s0 "%{_localstatedir}/log/%{name}.log"
semanage fcontext -a -s system_u -t httpd_var_lib_t -r s0 "%{_localstatedir}/lib/%{name}(/.*)?"
# files created by app
restorecon -R %{_localstatedir}/lib/%{name}
restorecon -R %{_localstatedir}/log/%{name}.log
) &>/dev/null || :
%endif

%postun
%if %{useselinux}
if [ "$1" -eq "0" ]; then
    # Remove the File Context
    (
    semanage fcontext -d "%{_localstatedir}/log/%{name}.log"
    semanage fcontext -d "%{_localstatedir}/lib/%{name}(/.*)?"
    ) &>/dev/null || :
fi
%endif

%files
%defattr(-,root,root)
%doc INSTALL* LICENSE ChangeLog FAQS
%doc contrib
%{_datadir}/%{name}
%dir %attr(770,root,%{httpuser}) %{_localstatedir}/lib/%{name}/backup
%config(noreplace) %attr(660,root,%{httpuser}) %{_datadir}/%{name}/library/daloradius.conf.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%config(noreplace) %attr(660,root,%{httpuser}) %{_localstatedir}/log/%{name}.log
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}

%changelog
* Wed Nov 7 2012 Daniel B. <daniel@firewall-services.com> - 0.9_9-1
- initial release

